Package org.apache.tapestry5.internal.services

# Class AjaxPartialResponseRendererImpl

java.lang.Object
org.apache.tapestry5.internal.services.AjaxPartialResponseRendererImpl

All Implemented Interfaces:
  `AjaxPartialResponseRenderer`

public class AjaxPartialResponseRendererImpl extends Object implements AjaxPartialResponseRenderer

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AjaxPartialResponseRendererImpl(MarkupWriterFactory factory, Request request, Response response, PartialMarkupRenderer partialMarkupRenderer, String outputEncoding, boolean compactJSON)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `renderPartialPageMarkup()`
  Used to render a partial response as part of an Ajax action request.
  `void`
  `renderPartialPageMarkup(JSONObject reply)`
  Used to render the partial response using a base reply object, to which any Tapestry-related information (usually related to zone updates and initializations) will be added.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AjaxPartialResponseRendererImpl

    public AjaxPartialResponseRendererImpl(MarkupWriterFactory factory, Request request, Response response, PartialMarkupRenderer partialMarkupRenderer, @Inject @Symbol("tapestry.charset") String outputEncoding, @Symbol("tapestry.compact-json") boolean compactJSON)

- ## Method Details

  - ### renderPartialPageMarkup

    public void renderPartialPageMarkup(JSONObject reply) throws IOException
    Description copied from interface: `AjaxPartialResponseRenderer`
    Used to render the partial response using a base reply object, to which any Tapestry-related information (usually related to zone updates and initializations) will be added. In effect, this] "enhances" the reply, which contains just data, to include UI aspects that are handled by client-side code on the client.
    Specified by:
      `renderPartialPageMarkup` in interface `AjaxPartialResponseRenderer`
    Throws:
      `IOException`

  - ### renderPartialPageMarkup

    public void renderPartialPageMarkup() throws IOException
    Description copied from interface: `AjaxPartialResponseRenderer`
    Used to render a partial response as part of an Ajax action request. A call to `PageRenderQueue.addPartialRenderer(org.apache.tapestry5.runtime.RenderCommand)` should precede this call.
    Specified by:
      `renderPartialPageMarkup` in interface `AjaxPartialResponseRenderer`
    Throws:
      `IOException`